.class_image_container{
    height:auto; 
    overflow-x: auto;
    clear: both;

    /* Customize the two styles below inline */
    max-width: 50%;     
    min-width: 400px; 
}


figcaption{
    font-weight: bold;
}





.class_try_title{
	color:#2CDD2C;
}

.class_exercise, .class_simulation_canvas{
    background-color: #e4fddd;
    clear: both;
    overflow-x: auto;
	padding:15px;
    margin:10px;
    border-radius: 25px;
}

.class_exercise[data-question-type='question_type_example'] {
    /* Choose a different color for example type exercise */
    background-color: #f5feef;
}

.class_simulation_canvas{
    background-color:#FFF5EE;
}


.class_invisible, .class_exercise_keyword, .class_exercise_feedback, .class_exercise_choice, .class_exercise_index_answer_correct, .class_exercise_text_around_textbox, .class_exercise_answer_numerical, .class_exercise_delta, .class_exercise_title_radio_button, .class_exercise_radio_button_choice,  .class_exercise_index_radio_button_correct{
    display: none;
}


.class_exercise_statistics{
    clear: both;
    display: none;
}


.class_exercise_hint{
    display:none;
    background-color: #FAEBD7;
    overflow-x: auto;

    border-radius: 10px;
    padding: 10px;
    margin: 5px;
}


.class_exercise .class_exercise_feedback_container{

    background-color: #d8f7db;	
    /* clear: both; */
    overflow-x: auto;

    border-radius: 10px;
    padding: 10px;
    margin: 5px;
}

.class_exercise .class_exercise_solution {
    display:none;
    background-color: #FFEBCD;
    overflow-x: auto;
    /* clear: both; */

    border-radius: 10px;
    padding: 10px;
    margin: 5px;
}

.class_exercise .class_exercise_textbox{
    width: 120px;
    margin: 3px;
}

.class_exercise .class_textbox_wrong{
	background-color: #e5cfca;	
}

.class_exercise .class_radio_wrong{
    color: red;
}

.class_exercise_question_source, .class_exercise_hint_source, .class_exercise_solution_source, .class_exercise_answer_numerical_source, .class_exercise_substitute, .class_exercise_constraint, .class_mathjax_do_not_typeset, .class_exercise_calculation_setup_source, .class_exercise_calculation_setup {
    display: none;
}


.class_exercise .nav-link.active, .class_exercise .tab-content{
    background-color: #FFFFFF;

}

.class_exercise .tab-pane{
    padding: 10px;
}



.class_alternative_approach, .class_click_to_reveal{
    /* background-color: #faefdd; */
    background-color: #f7f4ee;

    overflow-x: auto;

    border-radius: 10px;
    padding: 10px;
    margin: 5px;
}





.class_formula {
	background-color: #ecddcc;
    margin: auto;
    padding: 1px 5px;
    text-align: center;
    border-radius: 10px;
    
    width: 80%;
    min-width: 400px;
    overflow-x: auto;
    overflow-y: hidden;
	
}

.class_box_review{
    border: 2px solid Aquamarine;
    margin: 20px 0px 0px 0px;
}


.class_video_youtube h3, .class_simulation_phet h3, .class_simulation_canvas h3{
	color:#41dff4;
	cursor: pointer;	
}


.class_attribution{
	font-size: 8px;
}


.hide_class_level_01 .class_level_01, .hide_class_level_02 .class_level_02 {
    display: none;
}

.class_form_student_name {
    display: none; 
    background-color: #e4fddd; 
    padding:15px;
    margin:10px;
    border-radius: 25px;
}